Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.boot
Class IdentityServiceLoader

    java.lang.Object
      org.jboss.portal.identity.boot.IdentityServiceLoader

    public class IdentityServiceLoader

extends java.lang.Object

Version:
  $Revision: 0.1 $
Author:
  Boleslaw Dawidowicz

Constructor Summary
`IdentityServiceLoader(IdentityContext identityContext, org.jboss.kernel.Kernel kernel, boolean registerMBeans)`

Method Summary
`void` | `bootstrapDatasource(java.util.List datasources)`
`void` | `bootstrapModules(java.util.List modules)`
`IdentityContext` | `getIdentityContext()`
`org.jboss.kernel.Kernel` | `getKernel()`
`protected ServiceJNDIBinder` | `getServiceJNDIBinder()` Should be extended to provide JNDI binder
`boolean` | `isRegisterMBeans()`
`protected void` | `registerMBean(java.lang.String serviceName, java.lang.Object serviceObject)` Should be extended to provide mbean registration
`protected void` | `unregisterMBean(java.lang.String serviceName)` Should be extended to provide mbean registration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityServiceLoader

    public IdentityServiceLoader(IdentityContext identityContext,
                                 org.jboss.kernel.Kernel kernel,
                                 boolean registerMBeans)

Method Detail

### bootstrapDatasource

    public void bootstrapDatasource(java.util.List datasources)
                             throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### bootstrapModules

    public void bootstrapModules(java.util.List modules)
                          throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### unregisterMBean

    protected void unregisterMBean(java.lang.String serviceName)
                            throws java.lang.Exception

  Should be extended to provide mbean registration

  Parameters:
    `serviceName` -
    `serviceObject` -
  Throws:
    `java.lang.Exception`

### registerMBean

    protected void registerMBean(java.lang.String serviceName,
                                 java.lang.Object serviceObject)
                          throws java.lang.Exception

  Should be extended to provide mbean registration

  Parameters:
    `serviceName` -
    `serviceObject` -
  Throws:
    `java.lang.Exception`

### getServiceJNDIBinder

    protected ServiceJNDIBinder getServiceJNDIBinder()
                                              throws java.lang.Exception

  Should be extended to provide JNDI binder

  Returns:
  Throws:
    `java.lang.Exception`

### getIdentityContext

    public IdentityContext getIdentityContext()

### getKernel

    public org.jboss.kernel.Kernel getKernel()

### isRegisterMBeans

    public boolean isRegisterMBeans()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD